Subject: Re: bug#15925: 24.3.50; error when customizing whitespace-display-mappings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Sep 2020 14:06:24 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Fri, 25 Sep 2020 12:00:07 +0200
> Cc: Glenn Morris <[email-masked]>, [email-masked],
>  [email-masked]
> 
> > - What do we do with the other escape sequences, like ?\r and ?\f?
> >
> > Right now, we display those as ^M and ^L respectively.  If we keep this
> > representation, maybe somebody will feel there is some inconsistency,
> > because some characters we display as ^M, while others as \n.  Perhaps
> > is not a big deal, though.
> 
> We should definitely strive for consistency here...  \r and \f for ^M
> and ^L is fine by me (although I guess more people are familiar with ^L
> than \f).

I very much hope we leave the ^M and ^L display alone.  This is what
we did since day one (and yes, \n is a special case), and I'd rather
we didn't change that just in the name of consistency.